import { EntityHealthComponent } from "@minecraft/server";

export default {
    id: "crying",
    head: {
        condition: player => player.getComponent(EntityHealthComponent.componentId)?.current <= 5,
        cooldown: 30,
        effect: {
            id: "regeneration",
            amplifier: 2,
            duration: 120  
        },
        lore: [ "Last Hearthbeat" ]
    },
    chest: {
        condition: player => player.getComponent(EntityHealthComponent.componentId)?.current <= 5,
        cooldown: 60,
        effect: {
            id: "resistance",
            amplifier: 254,
            duration: 160
        },
        once: true,
        lore: [ "Last Stand" ]
    },
    legs: {
        condition: player => player.getComponent(EntityHealthComponent.componentId)?.current <= 5,
        effect: {
            id: "fire_resistance",
            amplifier: 0,
            duration: 40
        },
        lore: [ "Last Acclimation" ]
    },
    feet: {
        condition: player => player.getComponent(EntityHealthComponent.componentId)?.current <= 4,
        cooldown: 20,
        effect: {
            id: "speed",
            amplifier: 0,
            duration: 300
        },
        command: [
            "effect @s slowness 0 0 true"
        ],
        lore: [ "Last Escape" ]
    }
}